org.apache.commons.io.function

## Class IOSpliteratorAdapter<T>

- java.lang.Object
- - org.apache.commons.io.function.IOSpliteratorAdapter<T>

- Type Parameters:
    `T` - the type of the stream elements.
  All Implemented Interfaces:
    IOSpliterator<T>

      final class IOSpliteratorAdapter<T>
      extends Object
      implements IOSpliterator<T>

  Adapts an `Spliterator` as an `IOSpliterator`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOSpliteratorAdapter(Spliterator<T> delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static <E> IOSpliteratorAdapter<E>` | `adapt(Spliterator<E> delegate)` Adapts the given Spliterator as an IOSpliterator.
    `Spliterator<T>` | `unwrap()` Unwraps this instance and returns the underlying `Spliterator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSpliterator

      `asSpliterator, characteristics, estimateSize, forEachRemaining, getComparator, getExactSizeIfKnown, hasCharacteristics, tryAdvance, trySplit`

- - ### Constructor Detail

    - #### IOSpliteratorAdapter

          IOSpliteratorAdapter(Spliterator<T> delegate)

  - ### Method Detail

    - #### adapt

          static <E> IOSpliteratorAdapter<E> adapt(Spliterator<E> delegate)

      Description copied from interface: `IOSpliterator`
      Adapts the given Spliterator as an IOSpliterator.
      Specified by:
        `adapt` in interface `IOSpliterator<T>`
      Type Parameters:
        `E` - the type of the stream elements.
      Parameters:
        `delegate` - The iterator to adapt
      Returns:
        A new IOSpliterator

    - #### unwrap

          public Spliterator<T> unwrap()

      Description copied from interface: `IOSpliterator`
      Unwraps this instance and returns the underlying `Spliterator`.

      Implementations may not have anything to unwrap and that behavior is undefined for now.

      Specified by:
        `unwrap` in interface `IOSpliterator<T>`
      Returns:
        the underlying Spliterator.